Skip to content

GetTopRiskyAccounts.

POST
/api/shape/safeap/namespaces/system/safeap/dashboard/gettopriskyaccounts
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/safeap/namespaces/system/safeap/dashboard/gettopriskyaccounts \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "app_key": "example", "end_time": "example", "start_time": "example" }'

GET top risky accounts data request in a time range.

Examples of this operation.

Media typeapplication/json
GetTopRiskyAccountsRequest

Any payload to be passed on the GET Top 5 Risky Accounts Fraud Request API GetTopRiskyAccountsRequest

payload to GET top 5 risky accounts in a given time range.

object
app_key
app_key

CubeJS AppKey.

string
<= 1024 characters
end_time
end_time

End_time

string
<= 1024 characters
start_time
start_time

Start_time.

string
<= 1024 characters
Examplegenerated
{
"app_key": "example",
"end_time": "example",
"start_time": "example"
}

A successful response.

Media typeapplication/json
GetTopRiskyAccountsResponse

GET Top 5 Risky Accounts data from CubeJS.

object
response
Response

Response from cubejs.

string
<= 1024 characters
Examplegenerated
{
"response": "example"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example